Bug 1696037 - [abrt] libreoffice-core: operator&<SfxChildVisibility>(SfxChildVisibility, o3tl::typed_flags<SfxChildVisibility>::Wrap)(): soffice.bin killed by SIGSEGV [NEEDINFO]
Summary: [abrt] libreoffice-core: operator&<SfxChildVisibility>(SfxChildVisibility, o3...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:93d0c53a64ae3825aa95c001532...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-04 03:59 UTC by Chen_Min_Chin
Modified: 2019-11-27 21:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 21:49:00 UTC
caolanm: needinfo? (tcfxfzoi)


Attachments (Terms of Use)
File: backtrace (107.19 KB, text/plain)
2019-04-04 03:59 UTC, Chen_Min_Chin
no flags Details
File: cgroup (369 bytes, text/plain)
2019-04-04 03:59 UTC, Chen_Min_Chin
no flags Details
File: core_backtrace (29.21 KB, text/plain)
2019-04-04 03:59 UTC, Chen_Min_Chin
no flags Details
File: cpuinfo (1.45 KB, text/plain)
2019-04-04 03:59 UTC, Chen_Min_Chin
no flags Details
File: dso_list (29.00 KB, text/plain)
2019-04-04 03:59 UTC, Chen_Min_Chin
no flags Details
File: environ (3.71 KB, text/plain)
2019-04-04 03:59 UTC, Chen_Min_Chin
no flags Details
File: exploitable (82 bytes, text/plain)
2019-04-04 03:59 UTC, Chen_Min_Chin
no flags Details
File: limits (1.29 KB, text/plain)
2019-04-04 03:59 UTC, Chen_Min_Chin
no flags Details
File: maps (167.26 KB, text/plain)
2019-04-04 03:59 UTC, Chen_Min_Chin
no flags Details
File: mountinfo (4.47 KB, text/plain)
2019-04-04 03:59 UTC, Chen_Min_Chin
no flags Details
File: open_fds (3.04 KB, text/plain)
2019-04-04 03:59 UTC, Chen_Min_Chin
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-04-04 04:00 UTC, Chen_Min_Chin
no flags Details

Description Chen_Min_Chin 2019-04-04 03:59:20 UTC
Version-Release number of selected component:
1:libreoffice-core-6.1.5.2-4.fc29

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/liveuser/qbpwcf.bridge.cloudns.asia:8082/qbpwcf-handlink-client/handlink_rd_centos7_server/handlink/y5bus/documents/ITRI/CoolbeeWiFi%E7%92%B0%E5%A2%83/CoolbeeWiFi%E7%92%B0%E5%A2%83-3-13.odt --splash-pipe=7
crash_function: operator&<SfxChildVisibility>(SfxChildVisibility, o3tl::typed_flags<SfxChildVisibility>::Wrap)
executable:     /usr/lib64/libreoffice/program/soffice.bin
journald_cursor: s=e9bb705c65844412888eab6b9c5bb468;i=109f3;b=811ad51f2bf14092ad13279099496f1c;m=949893dc;t=585aba143f2f7;x=837fca3edf922f5
kernel:         5.0.4-200.fc29.x86_64
rootdir:        /
runlevel:       N 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 operator&<SfxChildVisibility>(SfxChildVisibility, o3tl::typed_flags<SfxChildVisibility>::Wrap) at /usr/src/debug/libreoffice-6.1.5.2-4.fc29.x86_64/include/o3tl/typed_flags_set.hxx:302
 #1 operator&=<SfxChildVisibility>(SfxChildVisibility&, o3tl::typed_flags<SfxChildVisibility>::Wrap) at /usr/src/debug/libreoffice-6.1.5.2-4.fc29.x86_64/include/o3tl/typed_flags_set.hxx:308
 #2 SfxWorkWindow::HidePopups_Impl(bool, bool, unsigned short) at /usr/src/debug/libreoffice-6.1.5.2-4.fc29.x86_64/sfx2/source/appl/workwin.cxx:1493
 #3 SfxDispatcher::DoDeactivate_Impl(bool, SfxViewFrame const*) at /usr/include/c++/8/bits/unique_ptr.h:342
 #4 SfxViewFrame::DoDeactivate(bool, SfxViewFrame const*) at /usr/src/debug/libreoffice-6.1.5.2-4.fc29.x86_64/sfx2/source/view/viewfrm.cxx:1124
 #5 SfxApplication::SetViewFrame_Impl(SfxViewFrame*) at /usr/src/debug/libreoffice-6.1.5.2-4.fc29.x86_64/sfx2/source/appl/app.cxx:300
 #6 SfxViewFrame::SetViewFrame(SfxViewFrame*) at /usr/src/debug/libreoffice-6.1.5.2-4.fc29.x86_64/include/sfx2/app.hxx:246
 #7 SfxViewFrame::MakeActive_Impl(bool) at /usr/src/debug/libreoffice-6.1.5.2-4.fc29.x86_64/sfx2/source/view/viewfrm.cxx:1727
 #8 IMPL_SfxBaseController_ListenerHelper::frameAction(com::sun::star::frame::FrameActionEvent const&) at /usr/src/debug/libreoffice-6.1.5.2-4.fc29.x86_64/include/sfx2/viewsh.hxx:370
 #9 (anonymous namespace)::Frame::implts_sendFrameActionEvent(com::sun::star::frame::FrameAction const&) at /usr/src/debug/libreoffice-6.1.5.2-4.fc29.x86_64/framework/source/services/frame.cxx:2938

Comment 1 Chen_Min_Chin 2019-04-04 03:59:29 UTC
Created attachment 1551620 [details]
File: backtrace

Comment 2 Chen_Min_Chin 2019-04-04 03:59:31 UTC
Created attachment 1551621 [details]
File: cgroup

Comment 3 Chen_Min_Chin 2019-04-04 03:59:35 UTC
Created attachment 1551622 [details]
File: core_backtrace

Comment 4 Chen_Min_Chin 2019-04-04 03:59:37 UTC
Created attachment 1551623 [details]
File: cpuinfo

Comment 5 Chen_Min_Chin 2019-04-04 03:59:42 UTC
Created attachment 1551624 [details]
File: dso_list

Comment 6 Chen_Min_Chin 2019-04-04 03:59:44 UTC
Created attachment 1551625 [details]
File: environ

Comment 7 Chen_Min_Chin 2019-04-04 03:59:47 UTC
Created attachment 1551626 [details]
File: exploitable

Comment 8 Chen_Min_Chin 2019-04-04 03:59:49 UTC
Created attachment 1551627 [details]
File: limits

Comment 9 Chen_Min_Chin 2019-04-04 03:59:54 UTC
Created attachment 1551628 [details]
File: maps

Comment 10 Chen_Min_Chin 2019-04-04 03:59:56 UTC
Created attachment 1551629 [details]
File: mountinfo

Comment 11 Chen_Min_Chin 2019-04-04 03:59:58 UTC
Created attachment 1551630 [details]
File: open_fds

Comment 12 Chen_Min_Chin 2019-04-04 04:00:00 UTC
Created attachment 1551631 [details]
File: proc_pid_status

Comment 13 Caolan McNamara 2019-04-04 08:07:26 UTC
I can see that its a null dereference of a floating window.

Is this reproducible ? Is there some toolbox or some specific menu option which triggers this ?

Comment 14 Ben Cotton 2019-10-31 19:40:18 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-11-27 21:49:00 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.